org.eclipse.ease

## Class DelegatingJarClassLoader

- java.lang.Object
- - java.lang.ClassLoader
  - - org.eclipse.ease.DelegatingJarClassLoader

    public class DelegatingJarClassLoader
    extends ClassLoader

A class loader for script interpreters. This class loader allows to add arbitrary `URL`s that will be queried for class loading. When the requested class cannot be found, it delegates loading to its parent classloader.

### Constructor Summary

Constructors
Constructor and Description
`DelegatingJarClassLoader(ClassLoader parent)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Class<?>` `loadClass(String name)`
`void` `registerURL(URL url)` Add a URL to the search path of the classloader.

### Methods inherited from class java.lang.ClassLoader

`clearAssertionStatus, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DelegatingJarClassLoader

    public DelegatingJarClassLoader(ClassLoader parent)

### Method Detail

#### loadClass

    public Class<?> loadClass(String name)
                       throws ClassNotFoundException

Overrides:
  `loadClass` in class `ClassLoader`
Throws:
  `ClassNotFoundException`

#### registerURL

    public void registerURL(URL url)

Add a URL to the search path of the classloader. Currently detects classes only, not resources.

Parameters:
  `url` - url to add to classpath